Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044640
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2020-07-20 14:362020-07-27 10:25
Reportera_singhView Statuspublic 
Assigned Tocberner 
PriorityimmediateResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR19Q4.4SCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2019-09-23
Regression introduced in release3.0PR19Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/openbravo/-/commit/4ec715bfa9c6bc0ab7b3e6f644ec05ef4998c721 [^]
Triggers an Emergency PackNo
Summary

0044640: Exported grid csv with enabled creation date column value does not match in the application

DescriptionIn 19Q4.4, despite the preference Local Timezone ID defined, when the user tries to export any of the window grid with enabled Creation Date column.The creation date value exported in the csv file does not matches in the grid.
Steps To ReproduceFollowing steps to be followed:

1. Log in the backoffice as Openbravo/openbravo

2. Go to the Preference window
   a.Preference Property: Local Timezone ID
   b.Property List: Yes
   c.Selected: No
   d.Value: America/New_York

3. From any window grid, enable the Creation Date column and click on the Export to csv toolbar button.

4. The expected value is Creation Date value should be in US Eastern Time Zone but the value is in UTC timezone.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0044681PR20Q3 closedcberner Exported grid csv with enabled creation date column value does not match in the application 
depends on backport 0044682PR20Q2.1 closedcberner Exported grid csv with enabled creation date column value does not match in the application 
depends on backport 0044683PR20Q1.3 closedcberner Exported grid csv with enabled creation date column value does not match in the application 
caused by defect 0038671 closedalostale random NPE getting data for some date/datetime fields 
related to defect 0044574 closedcberner The date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process 

-  Notes
(0121609)
hgbot (developer)
2020-07-24 13:33

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/108 [^]
(0121612)
hgbot (developer)
2020-07-27 10:04

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 31a86688c4d60c62dd97f3fd8de096e01869b832
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-07-27T09:31:22+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/31a86688c4d60c62dd97f3fd8de096e01869b832 [^]

Fixes ISSUE-44640: Sets correct DateTime in window grid exported CSV file

DateTime in export to CSV was wrong, applying local time zone several times instead of once.

It has been fixed by using a function that doesn't try to transform to
UTC in DateTimeUIDefinition, convertToClassicStringInLocalTime. This
function formats the date as is, using the timezone received without
prior conversion to UTC.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateTimeUIDefinition.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
---
(0121613)
hgbot (developer)
2020-07-27 10:04

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/108 [^]

- Issue History
Date Modified Username Field Change
2020-07-20 14:36 a_singh New Issue
2020-07-20 14:36 a_singh Assigned To => Triage Finance
2020-07-20 14:36 a_singh Web browser => Google Chrome
2020-07-20 14:36 a_singh Modules => Core
2020-07-20 14:36 a_singh Triggers an Emergency Pack => No
2020-07-20 15:20 egoitz Web browser Google Chrome => Google Chrome
2020-07-20 15:30 a_singh Issue Monitored: a_singh
2020-07-20 15:54 dmiguelez Assigned To Triage Finance => platform
2020-07-24 11:18 cberner Web browser Google Chrome => Google Chrome
2020-07-24 11:18 cberner Regression level => Production - Confirmed Stable
2020-07-24 11:18 cberner Regression date => 2019-09-23
2020-07-24 11:18 cberner Regression introduced in release => 3.0PR19Q4
2020-07-24 11:18 cberner Regression introduced by commit => https://gitlab.com/openbravo/product/openbravo/-/commit/4ec715bfa9c6bc0ab7b3e6f644ec05ef4998c721 [^]
2020-07-24 11:18 cberner Priority normal => immediate
2020-07-24 11:18 cberner Assigned To platform => cberner
2020-07-24 11:19 cberner Status new => scheduled
2020-07-24 13:33 hgbot Note Added: 0121609
2020-07-27 07:14 alostale Relationship added caused by 0038671
2020-07-27 09:50 cberner Relationship added related to 0044574
2020-07-27 10:04 hgbot Resolution open => fixed
2020-07-27 10:04 hgbot Status scheduled => closed
2020-07-27 10:04 hgbot Fixed in Version => PR20Q4
2020-07-27 10:04 hgbot Note Added: 0121612
2020-07-27 10:04 hgbot Note Added: 0121613
2020-07-27 10:25 cberner Review Assigned To => alostale
2020-07-27 10:25 cberner Web browser Google Chrome => Google Chrome


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker